pkgname=lighttpd
pkgver=1.4.25
pkgrel=1
pkgdesc='一个安全、高效、兼容性良好的非常灵活的WEB服务器'
license=('custom')
arch=('arm')
url="http://www.lighttpd.net/"
#depends=('pcre' 'openssl' 'zlib' 'bzip2' 'attr' 'libldap' 'util-linux-ng')
depends=('pcre' 'zlib' 'bzip2')
makedepends=('fcgi' 'libmysqlclient' 'lua' 'libxml2' 'e2fsprogs' 'sqlite3' 'gdbm' 'pkgconfig')
optdepends=(
	'libxml2: webdav模块支持'
	'sqlite3: webdav模块支持'
	'lua: cml/magnet模块支持'
	'libmysqlclient: mysql_vhost模块支持'
)
backup=('etc/lighttpd/lighttpd.conf' 'etc/logrotate.d/lighttpd')
options=('!libtool' 'emptydirs')
source=('lighttpd.rc.d'
	"http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-${pkgver}.tar.bz2"
)
md5sums=('789ed1b4521e72e591e09d5dfb99235a'
	'2027c49fb46530e45338c5e2da13c02f'
)

build() {
	cd $srcdir/$pkgname-$pkgver
	
	./configure --host=arm-none-linux-gnueabi --prefix=/ \
		--disable-ipv6 --disable-FEATURE --disable-lfs
	make && make DESTDIR=${pkgdir} install || return 1

	install -D -m755 $srcdir/lighttpd.rc.d $pkgdir/etc/rc.d/lighttpd
	install -d -m755 -o http -g http $pkgdir/var/run/lighttpd/
	install -d -m755 -o http -g http $pkgdir/var/log/lighttpd/

	install -D -m644 doc/lighttpd.conf $pkgdir/etc/lighttpd/lighttpd.conf
	rm -r ${pkgdir}/share

	# 修正默认的配置文件
	sed -e 's|/srv/www/htdocs/|/srv/http/|' \
		-e 's|/srv/www/|/srv/http/|' \
		-e 's|^\$HTTP\["url"\]|#\$HTTP\["url"\]|' \
		-e 's|^  server.range-requests|#  server.range-requests|' \
		-e 's|^}$|#}\n|' \
		-e 's|wwwrun|http|' \
		-e 's|/usr/local/bin/php-cgi|/bin/php-cgi|' \
		-i ${pkgdir}/etc/lighttpd/lighttpd.conf
}
